"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UiViewport = void 0;
var tslib_1 = require("tslib");
var React = tslib_1.__importStar(require("react"));
var types_1 = require("../types");
var hooks_1 = require("../hooks");
var UiViewport = function (_a) {
    var children = _a.children, criteria = _a.criteria;
    var _b = (0, hooks_1.useViewport)(), isSmall = _b.isSmall, isMedium = _b.isMedium, isLarge = _b.isLarge, isXLarge = _b.isXLarge;
    var childrenMemo = React.useMemo(function () { return React.createElement(React.Fragment, null, children); }, [children]);
    if (isSmall) {
        var matchesCriteria = criteria === types_1.Breakpoints.SMALL || criteria === 's|m';
        if (matchesCriteria) {
            return childrenMemo;
        }
    }
    if (isMedium) {
        var matchesCriteria = criteria === types_1.Breakpoints.MEDIUM || criteria === 's|m' || criteria === 'm|l' || criteria === 'm|l|xl';
        if (matchesCriteria) {
            return childrenMemo;
        }
    }
    if (isLarge) {
        var matchesCriteria = criteria === types_1.Breakpoints.LARGE || criteria === 'm|l' || criteria === 'l|xl' || criteria === 'm|l|xl';
        if (matchesCriteria) {
            return childrenMemo;
        }
    }
    if (isXLarge) {
        var matchesCriteria = criteria === types_1.Breakpoints.XLARGE || criteria === 'l|xl' || criteria === 'm|l|xl';
        if (matchesCriteria) {
            return childrenMemo;
        }
    }
    return null;
};
exports.UiViewport = UiViewport;
exports.UiViewport.displayName = 'UiViewport';
//# sourceMappingURL=viewport.js.map