import * as React from 'react';
import { UiReactElementProps, Sizing } from '../types';
export type SpacingDistribution = {
    /** Applies size to all sides */
    all?: Sizing;
    /** Applies size to top and bottom */
    block?: Sizing;
    /** Applies size to left and right */
    inline?: Sizing;
    /** Applies size to left */
    left?: Sizing;
    /** Applies size to right */
    right?: Sizing;
    /** Applies size to top */
    top?: Sizing;
    /** Applies size to bottom */
    bottom?: Sizing;
};
export type UiSpacingProps = UiReactElementProps & {
    /** Margin to use based on [SpacingDistribution](./packages-foundation-docs-spacing#spacingDistribution) */
    margin?: SpacingDistribution;
    /** Padding to use based on [SpacingDistribution](./packages-foundation-docs-spacing#spacingDistribution) */
    padding?: SpacingDistribution;
    /** For rendering the spacing as inline block */
    inline?: boolean;
};
export declare const UiSpacing: React.FC<UiSpacingProps>;
//# sourceMappingURL=spacing.d.ts.map