"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UiSpacing = void 0;
var tslib_1 = require("tslib");
var React = tslib_1.__importStar(require("react"));
var styled_components_1 = tslib_1.__importDefault(require("styled-components"));
var theme_context_1 = require("../providers/theme-context");
var getSpaceValue = function (sizing, theme) {
    if (sizing.all) {
        return theme.spacing[sizing.all];
    }
    if (sizing.inline) {
        return "0px ".concat(theme.spacing[sizing.inline]);
    }
    if (sizing.block) {
        return "".concat(theme.spacing[sizing.block], " 0px");
    }
    return "\n    ".concat(sizing.top ? theme.spacing[sizing.top] : '0px', "\n    ").concat(sizing.right ? theme.spacing[sizing.right] : '0px', "\n    ").concat(sizing.bottom ? theme.spacing[sizing.bottom] : '0px', "\n    ").concat(sizing.left ? theme.spacing[sizing.left] : '0px', "\n  ");
};
var Div = styled_components_1.default.div(templateObject_1 || (templateObject_1 = tslib_1.__makeTemplateObject(["\n  ", "\n"], ["\n  ", "\n"])), function (props) { return "\n    ".concat(props.margin ? "margin: ".concat(getSpaceValue(props.margin, props.customTheme), ";") : '', "\n    ").concat(props.padding ? "padding: ".concat(getSpaceValue(props.padding, props.customTheme), ";") : '', "\n    ").concat(props.inline ? 'display: inline-block' : '', "\n  "); });
var UiSpacing = function (_a) {
    var children = _a.children, inline = _a.inline, margin = _a.margin, padding = _a.padding, testId = _a.testId;
    var themeContext = React.useContext(theme_context_1.ThemeContext);
    return (React.createElement(Div, { inline: inline, customTheme: themeContext.theme, selectedTheme: themeContext.selectedTheme, margin: margin, padding: padding, "data-testid": testId }, children));
};
exports.UiSpacing = UiSpacing;
var templateObject_1;
//# sourceMappingURL=spacing.js.map